//*************************************************************
// システム名     電子入札物品コアシステム
// サブシステム名 電子入札・開札システム
//
// 紙入札移行情報入力機能(予定価格)
// @author NEC
// @version 1.0, 2003.01.27, 新規作成<BR>
//          1.1, 2003.06.17, V3-総合-213対応<BR>
//          4.0, 2004.01.30, V4.0複数落札対応<BR>
//               2004.03.04, V4.0-統合-055対応<BR>
//*************************************************************

//--------------------------------------------------
// HTML読込み時の初期処理
//--------------------------------------------------
function onStart()
{
  // 読込み時共通処理
  onLoad();

  // 予定価格表示
  setPriceTextEvent( 
    document.formProject.plannedPrice,
    document.formProject.plannedPriceJp,
    document.formProject.plannedPriceComma );

  // 基準価格表示
  if( document.formProject.standardPrice )
  {
    setPriceTextEvent( 
      document.formProject.standardPrice,
      document.formProject.standardPriceJp,
      document.formProject.standardPriceComma );
  }

  // 複数落札時初期処理
  if( document.formProject.pluralBid )
  {
    // 予定価格、基準価格のMaxlength変化
    document.formProject.plannedPrice.maxLength = DEF_BID_PLURAL_LENGTH;
    document.formProject.standardPrice.maxLength = DEF_BID_PLURAL_LENGTH;
  }

  document.formProject.plannedPrice.focus();
}//onStart

//--------------------------------------------------
// 紙入札移行情報入力画面を表示する
//--------------------------------------------------
function onDecide()
{
  // コマンド実行中の場合、何もせずに関数を終了する
  if( commandFormObj!=null )
    return;

  var errmsg="";

  // 予定価格入力チェック
  if( document.formProject.plannedPrice.value=="" )
  {
    errmsg+="予定価格が未入力です。予定価格を入力して下さい.\n";
  }
  else if( Number( document.formProject.plannedPrice.value )<=0 )
  {
    errmsg+="予定価格には0より大きい値を入力して下さい.\n";
  }
  else if( document.formProject.pluralBid )
  {
    // 複数落札の場合
    if( document.formProject.plannedPrice.value.length > DEF_BID_PLURAL_LENGTH ){
      errmsg+="予定価格が長すぎます。" + DEF_BID_PLURAL_LENGTH + "桁以下で入力して下さい.\n";
    }
    else if( !checkNumberDecimal( document.formProject.plannedPrice.value ) ){
      errmsg+="予定価格が不正です。再入力してください.\n";
    }
    else if( !checkIntegerBidLengthDef( document.formProject.plannedPrice.value ) ){
      errmsg+="予定価格には整数部" + DEF_BID_PLURAL_INTEGER_LENGTH + "桁までの値を入力して下さい.\n";
    }
    else if( !checkDecimalBidLengthDef(document.formProject.plannedPrice.value) ){
      errmsg+="予定価格には小数点第" + DEF_BID_PLURAL_DECIMAL_LENGTH + "位までの値を入力して下さい.\n";
    }
  }
  else
  {
    // 複数落札以外の場合
    if( document.formProject.plannedPrice.value.length > DEF_BID_NONPLURAL_LENGTH )
      errmsg+="予定価格が長すぎます。" + DEF_BID_NONPLURAL_LENGTH + "桁以下で入力して下さい.\n";
    // 複数落札以外の場合、整数かチェック
    else if( !checkNumber( document.formProject.plannedPrice.value ) )
      errmsg+="予定価格が不正です。再入力してください.\n";
  }
  document.formHPC002.plannedPrice.value=document.formProject.plannedPrice.value;

  // 基準価格入力チェック
  if( document.formProject.standardPrice )
  {
    if( document.formProject.standardPrice.value=="" )
    {
      //基準価格が未入力の場合は0円とする
      document.formProject.standardPrice.value = "0";
    }
    else if( Number( document.formProject.standardPrice.value )<0 )
    {
      errmsg+="基準価格には0以上の値を入力して下さい.\n";
    }
    else if( document.formProject.pluralBid )
    {
      // 複数落札の場合
      if( document.formProject.standardPrice.value.length > DEF_BID_PLURAL_LENGTH ){
        errmsg+="基準価格が長すぎます。" + DEF_BID_PLURAL_LENGTH + "桁以下で入力して下さい.\n";
      }
      else if( !checkNumberDecimal( document.formProject.standardPrice.value ) ){
        errmsg+="基準価格が不正です。再入力してください.\n";
      }
      else if( !checkIntegerBidLengthDef(document.formProject.standardPrice.value) ){
        errmsg+="基準価格には整数部" + DEF_BID_PLURAL_INTEGER_LENGTH + "桁までの値を入力して下さい.\n";
      }
      else if( !checkDecimalBidLengthDef(document.formProject.standardPrice.value) ){
        errmsg+="基準価格には小数点第" + DEF_BID_PLURAL_DECIMAL_LENGTH + "位までの値を入力して下さい.\n";
      }
    }
    else
    {
      // 複数落札以外の場合：桁数16
      if( document.formProject.standardPrice.value.length > DEF_BID_NONPLURAL_LENGTH )
        errmsg+="基準価格が長すぎます。" + DEF_BID_NONPLURAL_LENGTH + "桁以下で入力して下さい.\n";
      // 複数落札以外の場合、整数かチェック
      if( !checkNumber( document.formProject.standardPrice.value ) )
        errmsg+="基準価格が不正です。再入力してください.\n";
    }

    // 相関チェック（予定価格、基準価格）
    if( errmsg.length == 0 )
    {
      // 基準価格が予定価格を上回らないかをチェック
      if( Number( document.formProject.standardPrice.value ) >= Number( document.formProject.plannedPrice.value ) )
      {
        errmsg+="予定価格は基準価格より高くなければなりません\n";
      }
      else
      {
        document.formHPC002.standardPrice.value=document.formProject.standardPrice.value;
      }
    }
  }

  // 評価点満点入力チェック
  if( document.formProject.fullmarkPoint )
  {
    if( document.formProject.fullmarkPoint.value=="" )
    {
      errmsg+="評価点満点が未入力です。評価点満点を入力して下さい.\n";
    }
    else if( !checkNumber( document.formProject.fullmarkPoint.value ) )
    {
      errmsg+="評価点満点が不正です。再入力してください.\n";
    }
    else if( Number( document.formProject.fullmarkPoint.value )<=0 )
    {
      errmsg+="評価点満点には0より大きい整数を入力して下さい.\n";
    }
    else
    {
      document.formHPC002.fullmarkPoint.value=document.formProject.fullmarkPoint.value;
    }
  }

  // エラーメッセージが設定されている場合、表示して関数を終了する
  if( errmsg!="" )
  {
    alert( errmsg );
    return;
  }

  // 紙入札移行情報入力画面表示
  document.formHPC002.processType.value="5";
  dispatch( document.formHPC002, 'H6321HPC003' );
}//onDecide

//--------------------------------------------------
// 調達案件情報照会画面表示
//--------------------------------------------------
function showProjectInfo()
{
  dispatchPopup( document.formRegist, "H509HPR005" );
}//showProjectInfo
